# $Revision: 1.29.2.2 $, $Date: 2003/09/10 11:03:18 $
Summary:	GNU Data Access library
Summary(pl):	Biblioteka GNU Data Access
Name:		libgda
Version:	0.2.96
Release:	6
License:	LGPL
Group:		Applications/Databases
Source0:	ftp://ftp.gnome-db.org/pub/gnome-db/sources/latest/%{name}-%{version}.tar.gz
# Source0-md5:	7c52b9a76b8b7669b795393de1ddc322
Patch0:		%{name}-GNU_GETTEXT.patch
Patch1:		%{name}-openldap.patch
Patch2:		%{name}-DESTDIR.patch
Patch3:		%{name}-c++.patch
Patch4:		%{name}-omf.patch
URL:		http://www.gnome-db.org/
BuildRequires:	GConf-devel
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bonobo-devel
BuildRequires:	gettext-devel
BuildRequires:	glib-devel >= 1.2.0
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel >= 1.0.0
BuildRequires:	gtk-doc
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxml-devel
BuildRequires:	libxslt-devel
BuildRequires:	mysql-devel
BuildRequires:	oaf-devel
BuildRequires:	openldap-devel >= 2.0.0
BuildRequires:	postgresql-devel
BuildRequires:	scrollkeeper
BuildRequires:	unixODBC-devel
Prereq:         scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libgda0

%define 	_prefix		/usr/X11R6
%define         _sysconfdir     /etc/X11/GNOME
%define		_omf_dest_dir   %(scrollkeeper-config --omfdir)

%description
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project but has been separated from it
to allow non-GNOME applications to be developed based on it.

%description -l pl
GNU Data Access to prba zapewnienia jednolitego dostpu do rnych
rde danych (bazy danych, serwery informacji, katalogi z poczt
itp.). Jest kompletn architektuj dostarczajc wszystko co
potrzebujesz do dostpu do danych.

libgda bya czci projektu GNOME-DB, ale zostaa wydzielona, aby
pozwoli na uywanie przez niegnomowe aplikacje.

%package devel
Summary:	GNU Data Access development
Summary(pl):	Dla programistw GNU Data Access
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libgda0-devel

%description devel
GNU Data Access is an attempt to provide uniform access to different
kinds of data sources (databases, information servers, mail spools,
etc). It is a complete architecture that provides all you need to
access your data. This subpackage contains development files.

%description devel -l pl
GNU Data Access to prba zapewnienia jednolitego dostpu do rnych
rde danych (bazy danych, serwery informacji, katalogi z poczt
itp.). Jest kompletn architektuj dostarczajc wszystko co
potrzebujesz do dostpu do danych. Ten podpakiet zawiera pliki dla
programistw uywajcych libgda.

%package static
Summary:	GNU Data Access static libraries
Summary(pl):	Statyczne biblioteki GNU Data Access
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
GNU Data Access static libraries.

%description static -l pl
Statyczne biblioteki GNU Data Access.

%package clientcpp
Summary:	GNU Data Access C++ client library
Summary(pl):	Biblioteka kliecka C++ do GNU Data Access
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description clientcpp
GNU Data Access C++ client library.

%description clientcpp -l pl
Biblioteka kliencka C++ do GNU Data Access.

%package clientcpp-devel
Summary:	GNU Data Access C++ client library development
Summary(pl):	Dla programistw biblioteki klienckiej C++ do GDA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Prereq:		%{name}-devel

%description clientcpp-devel
GNU Data Access C++ client library.

%description clientcpp-devel -l pl
Pakiet dla programistw uywajcych biblioteki klienckiej C++ do GNU
Data Access.

%package -n gda-odbc
Summary:	GDA ODBC provider
Summary(pl):	rdo danych ODBC dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{version}

%description -n gda-odbc
This package contains the GDA ODBC provider.

%description -n gda-odbc -l pl
Pakiet dostaczajcy dane z ODBC dla GDA.

%package -n gda-postgres
Summary:	GDA PostgreSQL provider
Summary(pl):	rdo danych PostgreSQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{version}
Obsoletes:	libgda-postgres0

%description -n gda-postgres
This package contains the GDA PostgreSQL provider.

%description -n gda-postgres -l pl
Pakiet dostarczajcy dane z PostgreSQL dla GDA.

%package -n gda-mysql
Summary:	GDA MySQL provider
Summary(pl):	rdo danych MySQL dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{version}
Obsoletes:	libgda-mysql0

%description -n gda-mysql
This package contains the GDA MySQL provider.

%description -n gda-mysql -l pl
Pakiet dostarczajcy dane z MySQL dla GDA.

%package -n gda-ldap
Summary:	GDA LDAP provider
Summary(pl):	rdo danych LDAP dla GDA
Group:		Applications/Databases
Requires:	%{name} = %{version}

%description -n gda-ldap
This package contains the GDA LDAP provider.

%description -n gda-ldap -l pl
Pakiet dostarczajcy dane z LDAP dla GDA.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%{__gettextize}
%{__libtoolize}
aclocal -I macros
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--disable-gtk-doc \
	--with-odbc \
	--with-postgres \
	--with-mysql \
	--with-ldap

LD_LIBRARY_PATH=$(pwd)/lib/gda-common/.libs; export LD_LIBRARY_PATH
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	omf_dest_dir=%{_omf_dest_dir}/%{name}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/usr/bin/scrollkeeper-update

%postun
/sbin/ldconfig
/usr/bin/scrollkeeper-update

%post	clientcpp -p /sbin/ldconfig
%postun	clientcpp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda-common.so.*.*
%attr(755,root,root) %{_libdir}/libgda-client.so.*.*
%attr(755,root,root) %{_libdir}/libgda-server.so.*.*
%{_datadir}/gda
%{_datadir}/idl/*
%{_omf_dest_dir}/%{name}

%files devel -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gda-build*
%attr(755,root,root) %{_bindir}/gda-run
%attr(755,root,root) %{_bindir}/gda-config
%attr(755,root,root) %{_libdir}/libgda-common.so
%attr(755,root,root) %{_libdir}/libgda-client.so
%attr(755,root,root) %{_libdir}/libgda-server.so
%attr(755,root,root) %{_libdir}/libgda-common.la
%attr(755,root,root) %{_libdir}/libgda-client.la
%attr(755,root,root) %{_libdir}/libgda-server.la
%dir %{_includedir}/%{name}-%{version}/
%{_includedir}/%{name}-%{version}/gda

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files clientcpp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda-clientcpp.so.*.*

%files clientcpp-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgda-clientcpp.so
%attr(755,root,root) %{_libdir}/libgda-clientcpp.la
%{_includedir}/%{name}-%{version}/gda++

%files -n gda-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-odbc-srv

%files -n gda-postgres
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-postgres-srv

%files -n gda-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-mysql-srv

%files -n gda-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gda-ldap-srv

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgda.spec,v $
Revision 1.29.2.2  2003/09/10 11:03:18  ankry
- added md5, rel. 6 to rebuild with new mysql

Revision 1.29.2.1  2003/07/11 12:01:42  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.29  2002/10/02 12:50:40  krzak
omf.patch
release 5

Revision 1.28  2002/06/30 14:06:39  kloczek
- release 4: use new %doc.

Revision 1.27  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.26  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.25  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/05/17 14:26:14  kloczek
- release 3: fixed omf files install path.

Revision 1.23  2002/05/16 06:51:23  misiek
- move omf files one level deeper

Revision 1.22  2002/05/16 06:38:09  misiek
- moved idl files to main package, move omf files to proper place and register them via scrollkeeper; rel 2

Revision 1.21  2002/03/23 05:11:30  kloczek
- updated to 0.2.96 (bugfixes).

Revision 1.20  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/07 02:16:41  kloczek
- added some Obsoletes for allow upgrade from MDK and adapterize spec file.

Revision 1.18  2002/02/06 23:13:35  filon
- improved c++ patch, now builds with gcc3
- release 2

Revision 1.17  2002/01/26 02:29:00  kloczek
- updated to 0.2.95 (bugfix release).

Revision 1.16  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/17 23:09:48  kloczek
- updated to 0.2.94 (bugfix release).

Revision 1.14  2002/01/12 20:23:09  qrczak
- libgda-c++.patch: add some std:: qualifications required on gcc3.
- Release 2.

Revision 1.13  2002/01/10 14:33:13  kloczek
- !sort BuildRequires rules and remove duplicates.

Revision 1.12  2002/01/10 11:28:54  misiek
gtk-doc is so broken (--disable-gtk-doc)

Revision 1.11  2002/01/10 11:03:01  misiek
- DESTDIR and openldap fixes

Revision 1.10  2002/01/10 01:18:16  misiek
- update to 0.2.93 (nfy)

Revision 1.9  2001/10/08 20:10:41  qboosh
- BuildRequires: libtool
- added pl translations

Revision 1.8  2001/10/07 20:08:25  blues
- aclocal call added (ready for new am)
- GNU_GETTEXT patch

Revision 1.7  2001/10/03 16:41:59  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.6  2001/09/19 13:18:17  ankry
- modified source URL as ftp.gnome.org changed path (%#$%*&)

Revision 1.5  2001/05/02 16:29:07  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2000/10/23 01:01:50  kloczek
- added libstdc++-devel to BuildRequires list.

Revision 1.2  2000/10/23 01:00:59  kloczek
- cmpletly rewrited spec file in PLD style,
- added ldap backend,
- fixed linking mysql backend against shared mysqlclient library
  (shared_libmysqlclient patch),
- separate C++ client library,
- added static subpackage.
